Bug 807633 - drbd has excessive dependencies
drbd has excessive dependencies
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: drbd (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Major Hayden
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 07:40 EDT by Alexander Murashkin
Modified: 2012-04-13 17:35 EDT (History)
1 user (show)

See Also:
Fixed In Version: drbd-8.3.11-5.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 17:35:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Murashkin 2012-03-28 07:40:43 EDT
Description of problem:

drbd has excessive dependencies. It makes it difficult to install if you do not want to have Xen.  

# repoquery -R drbd.x86_64 
drbd-bash-completion = 8.3.11
drbd-heartbeat = 8.3.11
drbd-pacemaker = 8.3.11
drbd-udev = 8.3.11
drbd-utils = 8.3.11
drbd-xen = 8.3.11

Only one of drbd-heartbeat or drbd-pacemaker shall be required if at all (there are other packages that can be used for failover). drbd-xen, for sure, shall not be required.

Here is what I got when trying to install drbd.

# yum install drbd.x86_64 
Loaded plugins: auto-update-debuginfo, langpacks, presto, refresh-packagekit
Setting up Install Process
Package drbd-bash-completion-8.3.11-1.fc16.x86_64 already installed and latest version
Package drbd-udev-8.3.11-1.fc16.x86_64 already installed and latest version
Package drbd-utils-8.3.11-1.fc16.x86_64 already installed and latest version
Package drbdlinks-1.20-1.fc16.noarch already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package drbd.x86_64 0:8.3.11-1.fc16 will be installed
--> Processing Dependency: drbd-xen = 8.3.11 for package: drbd-8.3.11-1.fc16.x86_64
--> Running transaction check
---> Package drbd-xen.x86_64 0:8.3.11-1.fc16 will be installed
--> Processing Dependency: xen for package: drbd-xen-8.3.11-1.fc16.x86_64
--> Running transaction check
---> Package xen.x86_64 0:4.1.2-6.fc16 will be installed
--> Processing Dependency: xen-runtime = 4.1.2-6.fc16 for package: xen-4.1.2-6.fc16.x86_64
--> Running transaction check
---> Package xen-runtime.x86_64 0:4.1.2-6.fc16 will be installed
--> Processing Dependency: xen-hypervisor-abi = 4.1 for package: xen-runtime-4.1.2-6.fc16.x86_64
--> Processing Dependency: /usr/bin/qemu-img for package: xen-runtime-4.1.2-6.fc16.x86_64
--> Running transaction check
---> Package qemu-img.x86_64 2:0.15.1-4.fc16 will be installed
---> Package xen-hypervisor.x86_64 0:4.1.2-6.fc16 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

===============================================================================================================
 Package                     Arch                Version                      Repository                  Size
===============================================================================================================
Installing:
 drbd                        x86_64              8.3.11-1.fc16                fedora-local                25 k
Installing for dependencies:
 drbd-xen                    x86_64              8.3.11-1.fc16                fedora-local               8.4 k
 qemu-img                    x86_64              2:0.15.1-4.fc16              updates-local              224 k
 xen                         x86_64              4.1.2-6.fc16                 updates-local              1.0 M
 xen-hypervisor              x86_64              4.1.2-6.fc16                 updates-local              4.0 M
 xen-runtime                 x86_64              4.1.2-6.fc16                 updates-local              5.4 M

Transaction Summary
===============================================================================================================
Install       6 Packages
Comment 1 Alexander Murashkin 2012-04-01 04:31:54 EDT
New drbd package has much better dependencies.

# repoquery -R drbd-8.3.11-4.fc16.x86_64
drbd-bash-completion = 8.3.11
drbd-udev = 8.3.11
drbd-utils = 8.3.11

It is not clear though why drbd-bash-completion is required. Or, if it is required, why it requires bash-completion.

If you check. for example, subversion - it has /etc/bash_completion.d/subversion file but does not require bash-completion.

# rpm -ql subversion-1.6.17-5.fc16.x86_64 | grep bash
/etc/bash_completion.d
/etc/bash_completion.d/subversion
/usr/share/doc/subversion-1.6.17/tools/client-side/bash_completion_test

# rpm -qR subversion-1.6.17-5.fc16.x86_64 | grep bash
/bin/bash
Comment 2 Major Hayden 2012-04-01 22:33:29 EDT
Good catch, folks.  This was left over from the previous maintainer and I haven't gone back to tidy things up.

I'm working on this tonight.
Comment 3 Fedora Update System 2012-04-01 23:04:36 EDT
drbd-8.3.11-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/drbd-8.3.11-5.fc17
Comment 4 Fedora Update System 2012-04-01 23:12:42 EDT
drbd-8.3.11-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/drbd-8.3.11-5.fc16
Comment 5 Fedora Update System 2012-04-02 19:26:23 EDT
Package drbd-8.3.11-5.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing drbd-8.3.11-5.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5226/drbd-8.3.11-5.fc16
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-04-11 22:46:35 EDT
drbd-8.3.11-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-04-13 17:35:22 EDT
drbd-8.3.11-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.